### Function

# GLib strstr_len

#### Declaration [src]

    gchar*
    g_strstr_len (
      const gchar* haystack,
      gssize haystack_len,
      const gchar* needle
    )

#### Description [src]

Searches the string `haystack` for the first occurrence of the string `needle`, limiting the length of the search to `haystack_len` or a nul terminator byte (whichever is reached first).

A length of `-1` can be used to mean “search the entire string”, like `strstr()`.

The fact that this function returns `gchar *` rather than `const gchar *` is a historical artifact.

#### Parameters

`haystack`

  Type: `const gchar*`

  A string to search in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`haystack_len`

  Type: `gssize`

  The maximum length of `haystack` in bytes, or `-1` to search it entirely.

`needle`

  Type: `const gchar*`

  The string to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A pointer to the found occurrence, or `NULL` if not found.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.